## Index

### Modules

- lookup
- lookupService
- resolve
- resolve4
- resolve6
- resolveAny
- resolveCname
- resolveMx
- resolveNaptr
- resolveNs
- resolvePtr
- resolveSoa
- resolveSrv
- resolveTxt

### Classes

- Resolver

### Interfaces

- AnyARecord
- AnyAaaaRecord
- AnyCnameRecord
- AnyMxRecord
- AnyNaptrRecord
- AnyNsRecord
- AnyPtrRecord
- AnySoaRecord
- AnySrvRecord
- AnyTxtRecord
- LookupAddress
- LookupAllOptions
- LookupOneOptions
- LookupOptions
- MxRecord
- NaptrRecord
- RecordWithTtl
- ResolveOptions
- ResolveWithTtlOptions
- SoaRecord
- SrvRecord

### Type aliases

- AnyRecord
- AnyRecordWithTtl

### Variables

- ADDRCONFIG
- ADDRGETNETWORKPARAMS
- BADFAMILY
- BADFLAGS
- BADHINTS
- BADNAME
- BADQUERY
- BADRESP
- BADSTR
- CANCELLED
- CONNREFUSED
- DESTRUCTION
- EOF
- FILE
- FORMERR
- LOADIPHLPAPI
- NODATA
- NOMEM
- NONAME
- NOTFOUND
- NOTIMP
- NOTINITIALIZED
- REFUSED
- SERVFAIL
- TIMEOUT
- V4MAPPED

### Functions

- getServers
- reverse
- setServers

## Type aliases

### AnyRecord

AnyRecord: AnyARecord | AnyAaaaRecord | AnyCnameRecord | AnyMxRecord | AnyNaptrRecord | AnyNsRecord | AnyPtrRecord | AnySoaRecord | AnySrvRecord | AnyTxtRecord

- Defined in node_modules/@types/node/dns.d.ts:136

### AnyRecordWithTtl

AnyRecordWithTtl: AnyARecord | AnyAaaaRecord

- Defined in node_modules/@types/node/dns.d.ts:59

deprecated

  Use AnyARecord or AnyAaaaRecord instead.

## Variables

### Const ADDRCONFIG

ADDRCONFIG: number

- Defined in node_modules/@types/node/dns.d.ts:3

### Const ADDRGETNETWORKPARAMS

ADDRGETNETWORKPARAMS: string

- Defined in node_modules/@types/node/dns.d.ts:271

### Const BADFAMILY

BADFAMILY: string

- Defined in node_modules/@types/node/dns.d.ts:257

### Const BADFLAGS

BADFLAGS: string

- Defined in node_modules/@types/node/dns.d.ts:266

### Const BADHINTS

BADHINTS: string

- Defined in node_modules/@types/node/dns.d.ts:268

### Const BADNAME

BADNAME: string

- Defined in node_modules/@types/node/dns.d.ts:256

### Const BADQUERY

BADQUERY: string

- Defined in node_modules/@types/node/dns.d.ts:255

### Const BADRESP

BADRESP: string

- Defined in node_modules/@types/node/dns.d.ts:258

### Const BADSTR

BADSTR: string

- Defined in node_modules/@types/node/dns.d.ts:265

### Const CANCELLED

CANCELLED: string

- Defined in node_modules/@types/node/dns.d.ts:272

### Const CONNREFUSED

CONNREFUSED: string

- Defined in node_modules/@types/node/dns.d.ts:259

### Const DESTRUCTION

DESTRUCTION: string

- Defined in node_modules/@types/node/dns.d.ts:264

### Const EOF

EOF: string

- Defined in node_modules/@types/node/dns.d.ts:261

### Const FILE

FILE: string

- Defined in node_modules/@types/node/dns.d.ts:262

### Const FORMERR

FORMERR: string

- Defined in node_modules/@types/node/dns.d.ts:250

### Const LOADIPHLPAPI

LOADIPHLPAPI: string

- Defined in node_modules/@types/node/dns.d.ts:270

### Const NODATA

NODATA: string

- Defined in node_modules/@types/node/dns.d.ts:249

### Const NOMEM

NOMEM: string

- Defined in node_modules/@types/node/dns.d.ts:263

### Const NONAME

NONAME: string

- Defined in node_modules/@types/node/dns.d.ts:267

### Const NOTFOUND

NOTFOUND: string

- Defined in node_modules/@types/node/dns.d.ts:252

### Const NOTIMP

NOTIMP: string

- Defined in node_modules/@types/node/dns.d.ts:253

### Const NOTINITIALIZED

NOTINITIALIZED: string

- Defined in node_modules/@types/node/dns.d.ts:269

### Const REFUSED

REFUSED: string

- Defined in node_modules/@types/node/dns.d.ts:254

### Const SERVFAIL

SERVFAIL: string

- Defined in node_modules/@types/node/dns.d.ts:251

### Const TIMEOUT

TIMEOUT: string

- Defined in node_modules/@types/node/dns.d.ts:260

### Const V4MAPPED

V4MAPPED: number

- Defined in node_modules/@types/node/dns.d.ts:4

## Functions

### getServers

- getServers(): string[]

- - Defined in node_modules/@types/node/dns.d.ts:246

  #### Returns string[]

### reverse

- reverse(ip: string, callback: function): void

- - Defined in node_modules/@types/node/dns.d.ts:244

  #### Parameters

  - ##### ip: string

  - ##### callback: function

    - - (err: ErrnoException, hostnames: string[]): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### hostnames: string[]

        #### Returns void

### setServers

- setServers(servers: string[]): void

- - Defined in node_modules/@types/node/dns.d.ts:245

  #### Parameters

  - ##### servers: string[]

  #### Returns void

Generated using TypeDoc